### Method

# Gtk ColumnViewColumnset_id

since: 4.10

#### Declaration [src]

    void
    gtk_column_view_column_set_id (
      GtkColumnViewColumn* self,
      const char* id
    )

#### Description [src]

Sets the id of this column.

GTK makes no use of this, but applications can use it when storing column view configuration.

It is up to callers to ensure uniqueness of IDs.

Available since: 4.10

Sets property | `Gtk.ColumnViewColumn:id`

#### Parameters

`id`

  Type: `const char*`

  ID to use for this column.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.